public class Student {
	private int id;
	private String name;
	private double gpa;
	
	public Student(){
	}
	
	public Student(int id, String name, double gpa){
	   this.id = id;
	   this.name = name;
	   this.gpa = gpa;
	}
	
	public int getID(){
	  return id;
	}
	
	public String getName(){
	  return name;
	}
	
	public double getGPA(){
	  return gpa;
	}
	
	public void setID(int id){
	  this.id = id;
	}
	
	public void setName(String name){
	  this.name = name;
	}
	
	public void setGpa(double gpa){
	  this.gpa = gpa;
	}
	
	public String toString(){
       return "[id = " + id+ ", name = " + name + ", GPA = " + gpa + "]";
	}
	
	public boolean equals(Object obj){
	  if(obj == null)
		return false;
	   else if(getClass() != obj.getClass())
           return false;
        else {
		  Student student = (Student)obj;
		  return this.id == student.id;	
	   }
	}	
}